# ModifyDisksResourceGroup

## 1. API Description

This API is used to change the resource group of data disks.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">You can create several resource groups under one account to manage different resources. If calling</mark> [<mark style="color:purple;">`DescribeDisks`</mark>](https://docs.console.zenlayer.com/api-reference/compute/zvm/disk/describedisks) <mark style="color:blue;">to query disks, you can filter the result by</mark> <mark style="color:blue;">`resourceGroupId`</mark> <mark style="color:blue;">in the response.</mark>
* <mark style="color:blue;">Batch operations are supported. The maximum number of disks in each request is 100.</mark>
* <mark style="color:blue;">Only the administrator in a team can perform this operation.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="196">Parameter Name</th><th width="123">Required</th><th width="135">Type</th><th>Description</th></tr></thead><tbody><tr><td>diskIds</td><td>Yes</td><td>Array of String</td><td>List of disk IDs.<br>The maximum number of disks in each request is 100.</td></tr><tr><td>resourceGroupId</td><td>Yes</td><td>String</td><td>Resource group ID.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="214">Parameter Name</th><th width="129.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Move the data disk to specified resource group.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyDisksResourceGroup
<Common Request Params>

Request:
{
  "diskIds": ["diskId1", "diskId2"],
  "resourceGroupId": "resourceGroup1"
}

Response:
{
  "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9",
  "response": {
    "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​

| HTTP Status Code | Error Code                                     | Description                    |
| ---------------- | ---------------------------------------------- | ------------------------------ |
| 404              | OPERATION\_FAILED\_RESOURCE\_GROUP\_NOT\_FOUND | Resource group does not exist. |
| 404              | OPERATION\_FAILED\_RESOURCE\_NOT\_FOUND        | Resources not found.           |
